#### Previous topic

scipy.special.struve

#### Next topic

scipy.special.itstruve0

# scipy.special.modstruve

`scipy.special.``modstruve`(v, x) = <ufunc 'modstruve'>

  Modified Struve function.

  Return the value of the modified Struve function of order v at x. The modified Struve function is defined as,

  \[L_v(x) = -\imath \exp(-\pi\imath v/2) H_v(x),\]

  where \(H_v\) is the Struve function.

  Parameters:

  v : array_like

  > Order of the modified Struve function (float).

  x : array_like

  > Argument of the Struve function (float; must be positive unless v is an integer).

  Returns:

  L : ndarray

  > Value of the modified Struve function of order v at x.

  See also

  `struve`

  Notes

  Three methods discussed in [R466] are used to evaluate the function:

  - power series
  - expansion in Bessel functions (if \(|z| < |v| + 20\))
  - asymptotic large-z expansion (if \(z \geq 0.7v + 12\))

  Rounding errors are estimated based on the largest terms in the sums, and the result associated with the smallest error is returned.

  References

  [R466] | (1, 2) NIST Digital Library of Mathematical Functions http://dlmf.nist.gov/11